Download it now!
Bug 79656 - Restart button in UI language change dialog
Summary: Restart button in UI language change dialog
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium enhancement
Assignee: Berk Gureken
URL:
Whiteboard: target:5.2.0
Keywords: needsDevEval, topicUI
Depends on:
Blocks: Options-Dialog-Language Dialog-Msgbox
  Show dependency treegraph
 
Reported: 2014-06-04 22:41 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-10-08 12:12 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-06-04 22:41:19 UTC
In addition to the OK button that appears when you decide to change the UI language, it would be nice to have a restart now type button.
Comment 1 Jean-Baptiste Faure 2014-06-09 16:52:33 UTC
Valid enhancement proposition.

Best regards. JBF
Comment 2 Yousuf Philips (jay) (retired) 2014-06-10 01:56:24 UTC
I am suggesting it for the UI language dialog, but i think this restart button concept can apply to other dialogs which also require a restart.
Comment 3 Caolán McNamara 2016-03-15 12:18:30 UTC
See svtools/uiconfig/ui/restartdialog.ui and include/svtools/restartdialog.hxx

The best approach is typically to add another "reason" to the restartdialog.hxx and the .ui file and to use executeRestartDialog when you want to restart libreoffice
Comment 4 Tor Lillqvist 2016-03-15 12:20:42 UTC
But ideally, of course, this should Just Work with no need to restart LibreOffice.
Comment 5 Yousuf Philips (jay) (retired) 2016-03-16 06:03:08 UTC
If i remember correctly, with Ubuntu you also have to restart the desktop session in order for a user to switch the language.
Comment 6 Berk Gureken 2016-03-22 22:20:13 UTC
I've sent the following patch for this bug: https://gerrit.libreoffice.org/#/c/23421/
Comment 7 Commit Notification 2016-04-11 07:14:17 UTC
Berk Gureken committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cf81f3ba0602eeffad8907a1bb9cdd24e62c2d1e

tdf#79656 Restart now window for language change

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.